import type { JSX } from '../../stencil-public-runtime';
import type { ErrorListPropType, FormAPI, FormStates, KoliBriFormCallbacks, Stringified } from '../../schema';
export declare class KolForm implements FormAPI {
    private readonly host?;
    errorListBlock?: HTMLElement;
    errorListFirstLink?: HTMLElement;
    private readonly onSubmit;
    private readonly onReset;
    private readonly handleLinkClick;
    private renderErrorList;
    private renderFormElement;
    render(): JSX.Element;
    private scrollToErrorList;
    focusErrorList(): Promise<void>;
    _on?: KoliBriFormCallbacks;
    _requiredText?: Stringified<boolean>;
    _errorList?: ErrorListPropType[];
    state: FormStates;
    validateOn(value?: KoliBriFormCallbacks): void;
    validateRequiredText(value?: Stringified<boolean>): void;
    validateErrorList(value?: ErrorListPropType[]): void;
    componentWillLoad(): void;
}
