import type { JSX } from '../../stencil-public-runtime';
import type { AccessKeyPropType, ButtonProps, FocusableElement, HideErrorPropType, IdPropType, InputTextAPI, InputTextStates, InputTextType, InputTypeOnDefault, InputTypeOnOff, KoliBriHorizontalIcons, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, SpellCheckPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputText implements InputTextAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private oldValue?;
    private readonly catchRef;
    private readonly onBlur;
    private readonly onChange;
    private readonly onFocus;
    private readonly onInput;
    private readonly onKeyDown;
    getValue(): Promise<string | undefined>;
    kolFocus(): Promise<void>;
    private getFormFieldProps;
    private getInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: AccessKeyPropType;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _hasCounter?: boolean;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _maxLength?: number;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _pattern?: string;
    _placeholder?: string;
    _readOnly?: boolean;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _spellCheck?: SpellCheckPropType;
    _suggestions?: SuggestionsPropType;
    _smartButton?: Stringified<ButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _type?: InputTextType;
    _value?: string;
    state: InputTextStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: AccessKeyPropType): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateHasCounter(value?: boolean): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMaxLength(value?: number): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validatePattern(value?: string): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSpellCheck(value?: SpellCheckPropType): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateType(value?: InputTextType): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
