import type { JSX } from '../../stencil-public-runtime';
import { type FunctionalComponent as FC } from '../../stencil-public-runtime';
import type { JSXBase } from '../../stencil-public-runtime';
import type { AlignPropType, InternMsgPropType } from '../../schema';
export type FormFieldProps = Omit<JSXBase.HTMLAttributes<HTMLElement>, 'id'> & {
    component?: 'div' | 'fieldset';
    id: string;
    alert?: boolean;
    disabled?: boolean;
    msg?: InternMsgPropType;
    tooltipAlign?: AlignPropType;
    hint?: string;
    label: string;
    hideLabel?: boolean;
    hideError?: boolean;
    accessKey?: string;
    shortKey?: string;
    counter?: {
        currentLength?: number;
        maxLength?: number;
    };
    readOnly?: boolean;
    touched?: boolean;
    required?: boolean;
    renderNoLabel?: boolean;
    renderNoTooltip?: boolean;
    renderNoHint?: boolean;
    anotherChildren?: JSX.Element | JSX.Element[];
    formFieldLabelProps?: JSXBase.HTMLAttributes<Omit<HTMLLabelElement | HTMLLegendElement, 'id' | 'hidden' | 'htmlFor'>> & {
        component?: 'label' | 'legend';
    };
    formFieldHintProps?: JSXBase.HTMLAttributes<HTMLElement>;
    formFieldTooltipProps?: Pick<JSXBase.HTMLAttributes<HTMLElement>, 'class'>;
    formFieldMsgProps?: JSXBase.HTMLAttributes<HTMLDivElement>;
    formFieldCounterProps?: JSXBase.HTMLAttributes<HTMLSpanElement>;
    formFieldInputProps?: JSXBase.HTMLAttributes<HTMLDivElement>;
} & {
    [key: `data-${string}`]: unknown;
};
declare const KolFormFieldFc: FC<FormFieldProps>;
export default KolFormFieldFc;
