/*!
 * KoliBri - The accessible HTML-Standard
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const index=require("./index-3b0357df.js"),ariaCurrentService=require("./ariaCurrentService-53afa476.js"),events=require("./events-fc641593.js"),dev_utils=require("./dev.utils-3a47cd09.js"),componentNames=require("./component-names-6f6ca767.js"),i18n=require("./i18n-1d085d07.js"),accessAndShortKey=require("./access-and-short-key-12a097ab.js"),clsx=require("./clsx-dd4d6dd1.js"),Span=require("./Span-c07bdc7d.js"),prop_validators=require("./prop.validators-96dfedce.js"),href=require("./href-2485cb51.js"),reuse=require("./reuse-8cfefa9b.js"),buttonVariant=require("./button-variant-cd1a80cf.js"),customClass=require("./custom-class-3a1c18f3.js"),disabled=require("./disabled-5a2e250c.js"),hideLabel=require("./hide-label-b0063224.js"),icons=require("./icons-310a07cc.js"),label=require("./label-b8654499.js"),tooltipAlign=require("./tooltip-align-3b9a6bde.js");require("./dev.utils-58fde089.js"),require("./i18n-737701e2.js"),require("./tslib.es6-5e301284.js"),require("./Icon-32d99aab.js"),require("./isString-8ded65b8.js"),require("./InternalUnderlinedBadgeText-ccc2e00b.js"),require("./isObject-6090b636.js"),require("./index-38f5f0b2.js"),require("./common-1ab929ac.js"),require("./align-b9732b91.js");const ariaCurrentValuePropTypeOptions=["date","location","page","step","time","true","false"],validateAriaCurrentValue=(t,e)=>{prop_validators.watchValidator(t,"_ariaCurrentValue",(t=>"string"==typeof t&&ariaCurrentValuePropTypeOptions.includes(t)),new Set([`AriaCurrentValue {${ariaCurrentValuePropTypeOptions.join(", ")}`]),e,{defaultValue:"page"})},validateAriaOwns=(t,e)=>{prop_validators.watchString(t,"_ariaOwns",e,{defaultValue:void 0})},validateDownload=(t,e)=>{prop_validators.watchString(t,"_download",e)},validateLinkCallbacks=(t,e)=>{"object"==typeof e&&"function"==typeof(null==e?void 0:e.onClick)&&(t.state=Object.assign(Object.assign({},t.state),{_on:e}))},validateLinkTarget=(t,e)=>{prop_validators.watchString(t,"_target",e)},KolLinkWc=class{constructor(t){index.registerInstance(this,t),this.internalDescriptionById=dev_utils.nonce(),this.catchRef=t=>{this.anchorRef=t},this.onClick=t=>{var e,a;!0===this.state._disabled?t.preventDefault():("function"==typeof(null===(e=this.state._on)||void 0===e?void 0:e.onClick)&&(t.preventDefault(),prop_validators.setEventTarget(t,this.anchorRef),null===(a=this.state._on)||void 0===a||a.onClick(t,this.state._href)),this.host&&events.dispatchDomEvent(this.host,events.KolEvent.click,this.state._href))},this.getRenderValues=()=>{const t="string"==typeof this.state._target&&"_self"!==this.state._target,e={href:"string"==typeof this.state._href&&this.state._href.length>0?this.state._href:"javascript:void(0);",target:"string"==typeof this.state._target&&this.state._target.length>0?this.state._target:void 0,rel:t?"noopener":void 0,download:"string"==typeof this.state._download?this.state._download:void 0};return!0!==this.state._hideLabel||this.state._label||prop_validators.devHint("[KolLink] An aria-label must be set when _hide-label is set."),{isExternal:t,tagAttrs:e}},this._accessKey=void 0,this._ariaCurrentValue=void 0,this._ariaDescription=void 0,this._ariaExpanded=void 0,this._ariaOwns=void 0,this._customClass=void 0,this._disabled=!1,this._download=void 0,this._hideLabel=!1,this._href=void 0,this._icons=void 0,this._label=void 0,this._on=void 0,this._role=void 0,this._shortKey=void 0,this._tabIndex=void 0,this._target=void 0,this._tooltipAlign="right",this._variant="normal",this.state={_ariaCurrentValue:"page",_href:"",_icons:{}}}async kolFocus(){var t;null===(t=this.anchorRef)||void 0===t||t.focus()}render(){var t,e;const{isExternal:a,tagAttrs:i}=this.getRenderValues(),s=reuse.showExpertSlot(this.state._label),l=Boolean(null===(e=null===(t=this.state._ariaDescription)||void 0===t?void 0:t.trim())||void 0===e?void 0:e.length);return index.h(index.Host,{key:"b36c32d41cd637fddcb7b2d7242e537c006698aa"},index.h("a",Object.assign({key:"e7b1dd6d0ba278f09b49090d8e27697efa38f014",ref:this.catchRef},i,{accessKey:this.state._accessKey,"aria-current":this.state._ariaCurrent,"aria-describedby":l?this.internalDescriptionById:void 0,"aria-disabled":this.state._disabled?"true":void 0,"aria-expanded":"boolean"==typeof this.state._ariaExpanded?String(this.state._ariaExpanded):void 0,"aria-owns":this.state._ariaOwns,"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?`${this.state._label}${a?` (${i18n.translate("kol-open-link-in-tab")})`:""}`:void 0,class:clsx.clsx("kol-link",{"kol-link--disabled":!0===this.state._disabled,"kol-link--external-link":a,"kol-link--hide-label":!0===this.state._hideLabel,[`kol-link--${this.state._variant}`]:"button"===this.state._role&&"custom"!==this.state._variant,[this.state._customClass]:"custom"===this.state._variant&&"string"==typeof this.state._customClass&&this.state._customClass.length>0})},this.state._on,{onClick:this.onClick,onKeyPress:this.onClick,role:this.state._role,tabIndex:this.state._disabled?-1:this.state._tabIndex}),index.h(Span.KolSpanFc,{key:"491d819ae928e993fc1ea5b4850fa419e3120fd0",class:"kol-link__text",badgeText:this.state._accessKey||this.state._shortKey,icons:this.state._icons,hideLabel:this.state._hideLabel,label:s?"":this.state._label||this.state._href},index.h("slot",{key:"363b0f22f8f24b8d29f5646d3fc916e6384ff37b",name:"expert",slot:"expert"})),a&&index.h(componentNames.KolIconTag,{key:"ebf7e3c19fb025d776a37fde5d406d0498c7d6d1",class:"kol-link__icon",_label:this.state._hideLabel?"":i18n.translate("kol-open-link-in-tab"),_icons:"codicon codicon-link-external","aria-hidden":this.state._hideLabel})),index.h(componentNames.KolTooltipWcTag,{key:"82b1b8743a22f9ec83ab6cd01f661238112018cd","aria-hidden":"true",class:"kol-link__tooltip",hidden:s||!this.state._hideLabel,_badgeText:this.state._accessKey||this.state._shortKey,_align:this.state._tooltipAlign,_label:this.state._label||this.state._href}),l&&index.h("span",{key:"92af77be20df69e2ef60891adf012e3a879dcbbd",class:"visually-hidden",id:this.internalDescriptionById},this.state._ariaDescription))}validateAccessKey(t){accessAndShortKey.validateAccessKey(this,t),accessAndShortKey.validateAccessAndShortKey(t,this._shortKey)}validateAriaCurrentValue(t){validateAriaCurrentValue(this,t)}validateAriaDescription(t){buttonVariant.validateAriaDescription(this,t)}validateAriaExpanded(t){buttonVariant.validateAriaExpanded(this,t)}validateAriaOwns(t){validateAriaOwns(this,t)}validateCustomClass(t){customClass.validateCustomClass(this,t)}validateDisabled(t){disabled.validateDisabled(this,t)}validateDownload(t){validateDownload(this,t)}validateHideLabel(t){hideLabel.validateHideLabel(this,t)}validateHref(t){href.validateHref(this,t,{required:!0})}validateIcons(t){icons.validateIcons(this,t)}validateLabel(t){label.validateLabelWithExpertSlot(this,t)}validateOn(t){validateLinkCallbacks(this,t)}validateRole(t){buttonVariant.validateAlternativeButtonLinkRole(this,t)}validateShortKey(t){accessAndShortKey.validateShortKey(this,t),accessAndShortKey.validateAccessAndShortKey(this._accessKey,t)}validateTabIndex(t){accessAndShortKey.validateTabIndex(this,t)}validateTarget(t){validateLinkTarget(this,t)}validateTooltipAlign(t){tooltipAlign.validateTooltipAlign(this,t)}validateVariant(t){buttonVariant.validateButtonVariant(this,t)}componentWillLoad(){this.validateAccessKey(this._accessKey),this.validateAriaCurrentValue(this._ariaCurrentValue),this.validateAriaDescription(this._ariaDescription),this.validateAriaExpanded(this._ariaExpanded),this.validateAriaOwns(this._ariaOwns),this.validateCustomClass(this._customClass),this.validateDisabled(this._disabled),this.validateDownload(this._download),this.validateHideLabel(this._hideLabel),this.validateHref(this._href),this.validateIcons(this._icons),this.validateLabel(this._label),this.validateOn(this._on),this.validateRole(this._role),this.validateShortKey(this._shortKey),this.validateTabIndex(this._tabIndex),this.validateTarget(this._target),this.validateTooltipAlign(this._tooltipAlign),this.validateVariant(this._variant),this.unsubscribeOnLocationChange=ariaCurrentService.onLocationChange((t=>{this.state._ariaCurrent=t===this.state._href?this.state._ariaCurrentValue:void 0})),accessAndShortKey.validateAccessAndShortKey(this._accessKey,this._shortKey)}disconnectedCallback(){this.unsubscribeOnLocationChange&&this.unsubscribeOnLocationChange()}get host(){return index.getElement(this)}static get watchers(){return{_accessKey:["validateAccessKey"],_ariaCurrentValue:["validateAriaCurrentValue"],_ariaDescription:["validateAriaDescription"],_ariaExpanded:["validateAriaExpanded"],_ariaOwns:["validateAriaOwns"],_customClass:["validateCustomClass"],_disabled:["validateDisabled"],_download:["validateDownload"],_hideLabel:["validateHideLabel"],_href:["validateHref"],_icons:["validateIcons"],_label:["validateLabel"],_on:["validateOn"],_role:["validateRole"],_shortKey:["validateShortKey"],_tabIndex:["validateTabIndex"],_target:["validateTarget"],_tooltipAlign:["validateTooltipAlign"],_variant:["validateVariant"]}}};exports.kol_link_wc=KolLinkWc;