/*!
 * KoliBri - The accessible HTML-Standard
 */
import{r as re,n as ne,b,F}from"./prop.validators.js";export{K as KoliBriDevHelper}from"./prop.validators.js";import{setMode}from"@stencil/core/internal/client";export{getAssetPath,setAssetPath,setNonce,setPlatformOptions}from"@stencil/core/internal/client";import{L as Log,s as setDevMode}from"./dev.utils.js";export{s as setCurrentLocation}from"./ariaCurrentService.js";import{s as setCustomTagNames,K as KolToastContainerTag}from"./component-names.js";import{i as initializeI18n}from"./i18n.js";export{K as KolEvent}from"./events.js";var KeyEnum,TagEnum;!function(e){e[e.error=0]="error",e[e.warning=1]="warning",e[e.info=2]="info",e[e.success=3]="success",e[e.message=4]="message",e[e.close=5]="close",e[e["form-description"]=6]="form-description",e[e.of=7]="of",e[e.characters=8]="characters",e[e.new=9]="new",e[e["no-entries"]=10]="no-entries",e[e["change-order"]=11]="change-order",e[e["action-running"]=12]="action-running",e[e["action-done"]=13]="action-done",e[e["page-first"]=14]="page-first",e[e["page-back"]=15]="page-back",e[e["page-next"]=16]="page-next",e[e["page-last"]=17]="page-last",e[e["entries-per-site"]=18]="entries-per-site",e[e["page-current"]=19]="page-current",e[e["page-selected"]=20]="page-selected",e[e["page-per-site"]=21]="page-per-site",e[e["logo-description"]=22]="logo-description",e[e["open-link-in-tab"]=23]="open-link-in-tab",e[e["kolibri-logo"]=24]="kolibri-logo"}(KeyEnum||(KeyEnum={})),function(e){e[e.abbr=0]="abbr",e[e.accordion=1]="accordion",e[e["accordion-group"]=2]="accordion-group",e[e.alert=3]="alert",e[e.avatar=4]="avatar",e[e.badge=5]="badge",e[e.breadcrumb=6]="breadcrumb",e[e.button=7]="button",e[e["button-link"]=8]="button-link",e[e.card=9]="card",e[e.combobox=10]="combobox",e[e.details=11]="details",e[e.drawer=12]="drawer",e[e.form=13]="form",e[e.heading=14]="heading",e[e.icon=15]="icon",e[e.image=16]="image",e[e["input-checkbox"]=17]="input-checkbox",e[e["input-color"]=18]="input-color",e[e["input-date"]=19]="input-date",e[e["input-email"]=20]="input-email",e[e["input-file"]=21]="input-file",e[e["input-number"]=22]="input-number",e[e["input-password"]=23]="input-password",e[e["input-radio"]=24]="input-radio",e[e["input-range"]=25]="input-range",e[e["input-text"]=26]="input-text",e[e.kolibri=27]="kolibri",e[e.link=28]="link",e[e["link-button"]=29]="link-button",e[e.logo=30]="logo",e[e.modal=31]="modal",e[e.nav=32]="nav",e[e.pagination=33]="pagination",e[e.progress=34]="progress",e[e.select=35]="select",e[e.separator=36]="separator",e[e["skip-nav"]=37]="skip-nav",e[e.spin=38]="spin",e[e["single-select"]=39]="single-select",e[e["split-button"]=40]="split-button",e[e.symbol=41]="symbol",e[e.table=42]="table",e[e["table-stateless"]=43]="table-stateless",e[e["table-stateful"]=44]="table-stateful",e[e.tabs=45]="tabs",e[e.textarea=46]="textarea",e[e["toast-container"]=47]="toast-container",e[e.toolbar=48]="toolbar",e[e.tooltip=49]="tooltip",e[e.tree=50]="tree",e[e["tree-item"]=51]="tree-item"}(TagEnum||(TagEnum={}));const KoliBri=new re("kol",KeyEnum,TagEnum);setMode((e=>{try{e.shadowRoot instanceof ShadowRoot&&ne(e,b(e))}catch(e){}return"default"})),import("./devtools.js").then((e=>{"object"==typeof e&&null!==e&&"function"==typeof e.initialize&&e.initialize()})).catch((e=>{Log.error(e)}));const globalFn=()=>{},appGlobalScript=globalFn,globalScripts=appGlobalScript;let initialized=!1;const bootstrap=async(e,n,t)=>{var s,i;setDevMode("development"===(null==t?void 0:t.environment)),initializeI18n(null!==(i=null===(s=null==t?void 0:t.translation)||void 0===s?void 0:s.name)&&void 0!==i?i:"de",null==t?void 0:t.translations),(null==t?void 0:t.transformTagName)&&setCustomTagNames(null==t?void 0:t.transformTagName);const r=await F(e,n,t);return initialized=!0,r},register=bootstrap,isInitialized=()=>initialized;class ToasterService{constructor(e,n){this.document=e,this.options=n,this.toastContainerElement=this.document.createElement(KolToastContainerTag),this.document.body.prepend(this.toastContainerElement)}static getInstance(e,n){if(!isInitialized())throw new Error("Toaster: Call KoliBri bootstrap/register method first.");let t=this.instances.get(e);return t||(t=new ToasterService(e,n),this.instances.set(e,t)),t}dispose(){const e=this.toastContainerElement;e?(this.toastContainerElement=void 0,e.remove()):Log.warn("Toaster service is already disposed.",{forceLog:!0})}enqueue(e){var n,t;if(this.toastContainerElement&&"function"==typeof this.toastContainerElement.enqueue)return null!==(n=e.variant)&&void 0!==n||(e.variant=null===(t=this.options)||void 0===t?void 0:t.defaultVariant),this.toastContainerElement.enqueue(e)}closeAll(e=!1){this.toastContainerElement&&"function"==typeof this.toastContainerElement.closeAll&&this.toastContainerElement.closeAll(e)}}var Bundesministerium;ToasterService.instances=new Map,function(e){e["Die Bundesregierung"]="BReg",e["Bundesministerium der Finanzen"]="BMF",e["Bundesministerium des Innern, für Bau und Heimat"]="BMI",e["Auswärtiges Amt"]="AA",e["Bundesministerium für Wirtschaft und Energie"]="BMWi",e["Bundesministerium der Justiz und für Verbraucherschutz"]="BMJV",e["Bundesministerium für Arbeit und Soziales"]="BMAS",e["Bundesministerium der Verteidigung"]="BMVg",e["Bundesministerium für Ernährung und Landwirtschaft"]="BMEL",e["Bundesministerium für Familie, Senioren, Frauen und Jugend"]="BMFSFJ",e["Bundesministerium für Gesundheit"]="BMG",e["Bundesministerium für Verkehr und digitale Infrastruktur"]="BMVI",e["Bundesministerium für Umwelt, Naturschutz und nukleare Sicherheit"]="BMU",e["Bundesministerium für Bildung und Forschung"]="BMBF",e["Bundesministerium für wirtschaftliche Zusammenarbeit und Entwicklung"]="BMZ"}(Bundesministerium||(Bundesministerium={}));const BUNDESMINISTERIEN=Object.getOwnPropertyNames(Bundesministerium);var Bundesamt;!function(e){e["Beschaffungsamt des Bundesministeriums des Innern"]="BeschA",e["Bundesamt für Ausrüstung, Informationstechnik und Nutzung der Bundeswehr"]="BAAINBw",e["Bundesamt für äußere Restitutionen"]="BAR",e["Bundesamt für Bauwesen und Raumordnung"]="BBR",e["Bundesamt für Bevölkerungsschutz und Katastrophenhilfe"]="BBK",e["Bundesamt für Familie und zivilgesellschaftliche Aufgaben"]="BAFzA",e["Bundesamt für Güterverkehr"]="BAG",e["Bundesamt für Justiz"]="BfJ",e["Bundesamt für Kartographie und Geodäsie"]="BKG",e["Bundesamt für kerntechnische Entsorgungssicherheit"]="BASE",e["Bundesamt für Migration und Flüchtlinge"]="BAMF",e["Bundesamt für Sicherheit in der Informationstechnik"]="BSI",e["Bundesamt für Verbraucherschutz und Lebensmittelsicherheit"]="BVL",e["Bundesamt für Verfassungsschutz"]="BfV",e["Bundesamt für Wirtschaft und Ausfuhrkontrolle"]="BAFA",e["Bundesamt für zentrale Dienste und offene Vermögensfragen"]="BADV",e["Bundesanstalt für Verwaltungsdienstleistungen"]="BAV",e.Bundesarchiv="BArch",e["Bundesaufsichtsamt für Flugsicherung"]="BAF",e.Bundesausgleichsamt="BAA",e.Bundeskartellamt="BKartA",e.Bundeskriminalamt="BKA",e.Bundesnachrichtendienst="BND",e["Bundesnetzagentur für Elektrizität, Gas, Telekommunikation, Post und Eisenbahnen"]="BNetzA",e["Bundespolizeipräsidium"]="BPOLP",e["Bundesprüfstelle für jugendgefährdende Medien"]="BPjM",e.Bundessortenamt="BSA",e.Bundessprachenamt="BSprA",e["Bundesamt für Soziale Sicherung"]="BAS",e.Bundesverwaltungsamt="BVA",e["Bundeszentralamt für Steuern"]="BZSt",e["Deutsches Patent- und Markenamt"]="DPMA",e["Eisenbahn-Bundesamt"]="EBA",e.Generalzolldirektion="GZD",e["Militärischer Abschirmdienst"]="MAD",e["Zentrale Stelle für Informationstechnik im Sicherheitsbereich"]="ZITiS"}(Bundesamt||(Bundesamt={}));const BUNDESAEMTER=Object.getOwnPropertyNames(Bundesamt);var Bundesanstalt;!function(e){e["Informationstechnikzentrum Bund"]="ITZBund",e["Bundesanstalt für den Digitalfunk der Behörden und Organisationen mit Sicherheitsaufgaben"]="BDBOS",e["Bundesanstalt für Landwirtschaft und Ernährung"]="BLE",e["Bundesanstalt Technisches Hilfswerk"]="THW",e["Bundesinstitut für Arzneimittel und Medizinprodukte"]="BfArM",e["Bundesinstitut für Bevölkerungsforschung"]="BiB",e["Bundesinstitut für Sportwissenschaft"]="BISp"}(Bundesanstalt||(Bundesanstalt={}));const BUNDESANSTALTEN=Object.getOwnPropertyNames(Bundesanstalt),BUND_LOGO_TEXT_MAP=new Map;BUND_LOGO_TEXT_MAP.set(Bundesministerium["Die Bundesregierung"],["Die","Bundesregierung"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium der Finanzen"],["Bundesministerium","der Finanzen"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium des Innern, für Bau und Heimat"],["Bundesministerium","des Inneren, für Bau","und Heimat"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Auswärtiges Amt"],["Auswärtiges Amt"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Wirtschaft und Energie"],["Bundesministerium","für Wirtschaft","und Energie"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium der Justiz und für Verbraucherschutz"],["Bundesministerium","der Justiz und","für Verbraucherschutz"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Arbeit und Soziales"],["Bundesministerium","für Arbeit und Soziales"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium der Verteidigung"],["Bundesministerium","der Verteidigung"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Bildung und Forschung"],["Bundesministerium","für Bildung","und Forschung"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Ernährung und Landwirtschaft"],["Bundesministerium","für Ernährung","und Landwirtschaft"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Familie, Senioren, Frauen und Jugend"],["Bundesministerium","für Familie, Senioren, Frauen","und Jugend"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Gesundheit"],["Bundesministerium","für Gesundheit"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Umwelt, Naturschutz und nukleare Sicherheit"],["Bundesministerium","für Umwelt, Naturschutz","und nukleare Sicherheit"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für Verkehr und digitale Infrastruktur"],["Bundesministerium","für Verkehr und","digitale Infrastruktur"]),BUND_LOGO_TEXT_MAP.set(Bundesministerium["Bundesministerium für wirtschaftliche Zusammenarbeit und Entwicklung"],["Bundesministerium","für wirtschaftliche Zusammenarbeit","und Entwicklung"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Beschaffungsamt des Bundesministeriums des Innern"],["Beschaffungsamt","des Bundesministeriums","des Innern"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Ausrüstung, Informationstechnik und Nutzung der Bundeswehr"],[]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für äußere Restitutionen"],[]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Bauwesen und Raumordnung"],[]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Bevölkerungsschutz und Katastrophenhilfe"],["Bundesamt","für Bevölkerungsschutz","und Katastrophenhilfe"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Familie und zivilgesellschaftliche Aufgaben"],["Bundesamt","für Familie und","zivilgesellschaftliche Aufgaben"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Güterverkehr"],["Bundesamt","für Güterverkehr"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Justiz"],["Bundesamt für","Justiz"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Kartographie und Geodäsie"],["Bundesamt für","Kartographie und Geodäsie"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für kerntechnische Entsorgungssicherheit"],["Bundesamt für","kerntechnische","Entsorgungssicherheit"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Migration und Flüchtlinge"],["Bundesamt","für Migration","und Flüchtlinge"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Sicherheit in der Informationstechnik"],["Bundesamt","für Sicherheit in der","Informationstechnik"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Verbraucherschutz und Lebensmittelsicherheit"],["Bundesamt für","Verbraucherschutz und","Lebensmittelsicherheit"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Verfassungsschutz"],["Bundesamt für","Verfassungsschutz"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Wirtschaft und Ausfuhrkontrolle"],["Bundesamt","für Wirtschaft","Ausfuhrkontrolle"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für zentrale Dienste und offene Vermögensfragen"],["Bundesamt","für zentrale Dienste und","offene Vermögensfragen"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesanstalt für Verwaltungsdienstleistungen"],["Bundesanstalt","für Verwaltungsdienstleistungen"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundesarchiv,["Das","Bundesarchiv"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesaufsichtsamt für Flugsicherung"],["Bundesaufsichtsamt","für Flugsicherung"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundesausgleichsamt,["Bundesausgleichsamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundeskartellamt,["Bundeskartellamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundeskriminalamt,["Bundeskriminalamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundesnachrichtendienst,["Bundesnachrichtendienst"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesnetzagentur für Elektrizität, Gas, Telekommunikation, Post und Eisenbahnen"],["Bundesnetzagentur"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundespolizeipräsidium"],["Bundespolizeipräsidium"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesprüfstelle für jugendgefährdende Medien"],["Bundesprüfstelle","für jugendgefährdende","Medien"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundessortenamt,["Bundessortenamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundessprachenamt,["Bundessprachenamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundesamt für Soziale Sicherung"],["Bundesamt","für Soziale Sicherung"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Bundesverwaltungsamt,["Bundesverwaltungsamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Bundeszentralamt für Steuern"],["Bundeszentralamt","für Steuern"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Deutsches Patent- und Markenamt"],["Deutsches","Patent- und Markenamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Eisenbahn-Bundesamt"],["Eisenbahn-Bundesamt"]),BUND_LOGO_TEXT_MAP.set(Bundesamt.Generalzolldirektion,["Generalzolldirektion"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Militärischer Abschirmdienst"],["Bundesamt für den","Militärischen Abschirmdienst"]),BUND_LOGO_TEXT_MAP.set(Bundesamt["Zentrale Stelle für Informationstechnik im Sicherheitsbereich"],["Zentrale Stelle","für Informationstechnik","im Sicherheitsbereich"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Informationstechnikzentrum Bund"],["Informations","Technik","Zentrum Bund"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesanstalt für den Digitalfunk der Behörden und Organisationen mit Sicherheitsaufgaben"],["Bundesanstalt","für den Digitalfunk der Behörden und","Organisationen mit Sicherheitsaufgaben"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesanstalt für Landwirtschaft und Ernährung"],["Bundesanstalt für","Landwirtschaft und Ernährung"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesanstalt Technisches Hilfswerk"],["Bundesanstalt","Technisches Hilfswerk"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesinstitut für Arzneimittel und Medizinprodukte"],["Bundesinstitut","für Arzneimittel","und Medizinprodukte"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesinstitut für Bevölkerungsforschung"],["Bundesinstitut","für Bevölkerungsforschung"]),BUND_LOGO_TEXT_MAP.set(Bundesanstalt["Bundesinstitut für Sportwissenschaft"],["Bundesinstitut","für Sportwissenschaft"]),globalScripts();export{BUNDESAEMTER,BUNDESANSTALTEN,BUNDESMINISTERIEN,BUND_LOGO_TEXT_MAP,Bundesamt,Bundesanstalt,Bundesministerium,KoliBri,ToasterService,bootstrap,isInitialized,register};