/*!
 * KoliBri - The accessible HTML-Standard
 */
import{r as registerInstance,h,F as Fragment,g as getElement}from"./index-095473f8.js";import{d as KolIconTag,g as KolTooltipWcTag,a as KolButtonWcTag}from"./component-names-50e16b86.js";import{t as translate}from"./i18n-5fe08f1c.js";import{n as nonce}from"./dev.utils-a3bfded4.js";import{d as dispatchDomEvent,K as KolEvent}from"./events-5adf6b62.js";import{c as clsx}from"./clsx-09a06a12.js";import{t as emptyStringByArrayHandler,o as objectObjectHandler,p as parseJson,w as watchValidator,i as watchString}from"./prop.validators-9feb1d92.js";import{v as validateTableData,a as validateTableDataFoot,d as validateTableCallbacks,b as validateTableSelection,C as Callback}from"./callback-fd6ab619.js";import{v as validateLabel}from"./label-d0315384.js";import"./i18n-7ea9f137.js";import"./reuse-32931294.js";import"./dev.utils-fab45cbc.js";import"./index-da3e0c00.js";import"./common-54bf85ba.js";const validateTableHeaderCells=(e,t)=>{emptyStringByArrayHandler(t,(()=>{objectObjectHandler(t,(()=>{try{t=parseJson(t)}catch(e){}watchValidator(e,"_headerCells",(e=>"object"==typeof e&&null!==e),new Set(["TableHeaderCellsPropType"]),t)}))}))},KolTableStateless=class{constructor(e){registerInstance(this,e),this.horizontal=!0,this.cellsToRenderTimeouts=new Map,this.dataToKeyMap=new Map,this.checkboxRefs=[],this.renderTableRow=(e,t,l,a=!1)=>{var o,i;let s=String(t);return this.horizontal&&(null===(o=e[0])||void 0===o?void 0:o.data)&&(s=null!==(i=this.getDataKey(e[0].data))&&void 0!==i?i:s),h("tr",{class:clsx("kol-table__row",{"kol-table__row--body":!a,"kol-table__row--footer":a}),key:`row-${s}`},this.renderSelectionCell(e,t),e.map(((e,a)=>this.renderTableCell(e,t,a,l))))},this.renderTableCell=(e,t,l,a)=>{let o=`${t}-${l}-${e.label}`;if(e.data){const a=this.getDataKey(e.data);o=a?`${a}-${this.horizontal?l:t}`:o}return!1===e.asTd?this.renderHeadingCell(e,t,l,a):h("td",{key:`cell-${o}`,class:clsx("kol-table__cell kol-table__cell--body",{[`kol-table__cell--align-${e.textAlign}`]:e.textAlign}),colSpan:e.colSpan,rowSpan:e.rowSpan,style:{textAlign:e.textAlign,width:e.width},ref:"function"==typeof e.render?t=>{this.cellRender(e,t)}:void 0},"function"!=typeof e.render?e.label:"")},this.state={_data:[],_label:"",_headerCells:{horizontal:[],vertical:[]}},this.tableDivElementHasScrollbar=!1,this._data=void 0,this._dataFoot=void 0,this._headerCells=void 0,this._label=void 0,this._minWidth=void 0,this._on=void 0,this._selection=void 0}validateData(e){validateTableData(this,e,{beforePatch:e=>{this.updateDataToKeyMap(e)}})}validateDataFoot(e){validateTableDataFoot(this,e)}validateHeaderCells(e){validateTableHeaderCells(this,e)}validateLabel(e){validateLabel(this,e,{required:!0})}validateMinWidth(e){watchString(this,"_minWidth",e,{defaultValue:void 0})}validateOn(e){validateTableCallbacks(this,e)}validateSelection(e){validateTableSelection(this,e)}handleKeyDown(e){var t;if("ArrowUp"===e.key||"ArrowDown"===e.key){const l=null===(t=this.tableDivElement)||void 0===t?void 0:t.querySelector(":focus");let a=this.checkboxRefs.indexOf(l);a>-1&&(e.preventDefault(),"ArrowDown"===e.key?(a=(a+1)%this.checkboxRefs.length,this.checkboxRefs[a].focus()):"ArrowUp"===e.key&&(e.preventDefault(),a=(a+this.checkboxRefs.length-1)%this.checkboxRefs.length,this.checkboxRefs[a].focus()))}}componentDidRender(){this.checkDivElementScrollbar()}componentDidLoad(){this.tableDivElement&&ResizeObserver&&(this.tableDivElementResizeObserver=new ResizeObserver(this.checkDivElementScrollbar.bind(this)),this.tableDivElementResizeObserver.observe(this.tableDivElement))}disconnectedCallback(){var e;null===(e=this.tableDivElementResizeObserver)||void 0===e||e.disconnect()}checkDivElementScrollbar(){this.tableDivElement&&(this.tableDivElementHasScrollbar=this.tableDivElement.scrollWidth>this.tableDivElement.clientWidth)}updateDataToKeyMap(e){e.forEach((e=>{this.dataToKeyMap.has(e)||this.dataToKeyMap.set(e,nonce())})),this.dataToKeyMap.forEach(((t,l)=>{e.includes(l)||this.dataToKeyMap.delete(l)}))}getDataKey(e){return this.dataToKeyMap.get(e)}cellRender(e,t){t&&(clearTimeout(this.cellsToRenderTimeouts.get(t)),this.cellsToRenderTimeouts.set(t,setTimeout((()=>{if("function"==typeof e.render){const l=e.render(t,e,e.data,this.state._data);"string"==typeof l&&(t.textContent=l)}}))))}getNumberOfCols(e,t){let l=0;return e.forEach((e=>{let t=0;Array.isArray(e)&&e.forEach((e=>{var l;return t+=null!==(l=e.colSpan)&&void 0!==l?l:1})),l<t&&(l=t)})),0===l&&(l=t.length),l}getNumberOfRows(e,t){var l;let a=0;return e.forEach((e=>{let t=0;Array.isArray(e)&&e.forEach((e=>{var l;return t+=null!==(l=e.rowSpan)&&void 0!==l?l:1})),a<t&&(a=t)})),0===a?a=t.length:a-=(null===(l=this.state._dataFoot)||void 0===l?void 0:l.length)||0,a}getThePrimaryHeadersWithKeysIfExists(e){const t=[];return e.forEach((e=>{e.forEach((e=>{"string"==typeof e.key&&t.push(e)}))})),t}getPrimaryHeaders(e){var t,l;let a=this.getThePrimaryHeadersWithKeysIfExists(null!==(t=e.horizontal)&&void 0!==t?t:[]);return this.horizontal=!0,0===a.length&&(a=this.getThePrimaryHeadersWithKeysIfExists(null!==(l=e.vertical)&&void 0!==l?l:[]),a.length>0&&(this.horizontal=!1)),a}createDataField(e,t,l){var a;t.horizontal=Array.isArray(null==t?void 0:t.horizontal)?t.horizontal:[],t.vertical=Array.isArray(null==t?void 0:t.vertical)?t.vertical:[];const o=this.getPrimaryHeaders(t),i=this.getNumberOfCols(t.horizontal,e);let s=this.getNumberOfRows(t.vertical,e),n=0;l&&(n=s,s+=(null===(a=this.state._dataFoot)||void 0===a?void 0:a.length)||0);const r=[],c=[],d=[];t.vertical.forEach(((e,t)=>{c[t]=0,d[t]=[]}));for(let a=n;a<s;a++){const s=[];t.vertical.forEach(((e,t)=>{let l=0;if(d[t].forEach((e=>l+=e)),l<=a){const o=e[a-l+c[t]];if("object"==typeof o){s.push(Object.assign(Object.assign({},o),{asTd:!1,data:{}}));let e=1;if("number"==typeof o.rowSpan&&o.rowSpan>1&&(e=o.rowSpan),d[t].push(e),"number"==typeof o.colSpan&&o.colSpan>1)for(let l=1;l<o.colSpan;l++)d[t+l].push(e);c[t]++}}}));for(let t=0;t<i;t++)if(!0===this.horizontal){const i=l&&this.state._dataFoot?this.state._dataFoot[a-n]:e[a];"object"==typeof o[t]&&null!==o[t]&&"string"==typeof o[t].key&&"object"==typeof i&&null!==i&&s.push(Object.assign(Object.assign({},o[t]),{colSpan:void 0,data:i,label:i[o[t].key],rowSpan:void 0}))}else"object"==typeof o[a]&&null!==o[a]&&"string"==typeof o[a].key&&"object"==typeof e[t]&&null!==e[t]&&s.push(Object.assign(Object.assign({},o[a]),{colSpan:void 0,data:e[t],label:e[t][o[a].key],rowSpan:void 0}));r.push(s)}if(0===e.length){let e=0,l=0;Array.isArray(t.horizontal)&&t.horizontal.length>0&&t.horizontal[0].forEach((t=>{e+=t.colSpan||1})),Array.isArray(t.vertical)&&t.vertical.length>0&&(e-=t.vertical.length,t.vertical[0].forEach((e=>{l+=e.rowSpan||1})));const a={colSpan:e,label:translate("kol-no-entries"),render:void 0,rowSpan:Math.max(l,1)};0===r.length?r.push([a]):r[0].push(a)}return r}handleSelectionChangeCallbackAndEvent(e,t){var l;"function"==typeof(null===(l=this.state._on)||void 0===l?void 0:l[Callback.onSelectionChange])&&this.state._on[Callback.onSelectionChange](e,t),this.host&&dispatchDomEvent(this.host,KolEvent.selectionChange,t)}componentWillLoad(){this.validateData(this._data),this.validateDataFoot(this._dataFoot),this.validateHeaderCells(this._headerCells),this.validateLabel(this._label),this.validateMinWidth(this._minWidth),this.validateOn(this._on),this.validateSelection(this._selection)}renderSelectionCell(e,t){var l,a,o;const i=this.state._selection;if(!i)return"";const s=null!==(l=i.keyPropertyName)&&void 0!==l?l:"id",n=null===(a=e[0])||void 0===a?void 0:a.data;if(!n)return"";const r=n[s],c=i.multiple||void 0===i.multiple,d=null===(o=null==i?void 0:i.selectedKeys)||void 0===o?void 0:o.includes(r),b=i.label(n),v={name:"selection",checked:d,id:r,"aria-label":b};return h("td",{key:`tbody-${t}-selection`,class:"kol-table__cell kol-table__cell--selection"},h("div",{class:clsx("kol-table__selection",{"kol-table__selection--checked":d})},c?h("label",{class:"kol-table__selection-label"},h(KolIconTag,{class:"kol-table__selection-icon",_icons:"codicon "+(d?"codicon-check":""),_label:""}),h("input",Object.assign({class:clsx("kol-table__selection-input kol-table__selection-input--checkbox"),ref:e=>e&&this.checkboxRefs.push(e)},v,{type:"checkbox",onInput:e=>{var t,l;const a=d?null===(l=null==i?void 0:i.selectedKeys)||void 0===l?void 0:l.filter((e=>e!==r)):[...null!==(t=null==i?void 0:i.selectedKeys)&&void 0!==t?t:[],r];this.handleSelectionChangeCallbackAndEvent(e,null!=a?a:[])}}))):h("label",{class:"kol-table__selection-label"},h("input",Object.assign({class:clsx("kol-table__selection-input kol-table__selection-input--radio")},v,{type:"radio",onInput:e=>{this.handleSelectionChangeCallbackAndEvent(e,r)}}))),h(KolTooltipWcTag,{"aria-hidden":"true",class:"kol-table__selection-input-tooltip",_align:"right",_id:`${r}-label`,_label:b})))}renderHeadingSelectionCell(){var e,t;const l=this.state._selection;if(!l||!l.multiple&&void 0!==l.multiple)return h("th",{class:"kol-table__cell kol-table__cell--header",key:"thead-0"});const a=null!==(e=l.keyPropertyName)&&void 0!==e?e:"id",o=null===(t=l.selectedKeys)||void 0===t?void 0:t.length,i=o===this.state._data.length,s=0!==o&&!i;let n="kol-table-selection-indeterminate";i&&!s&&(n="kol-table-selection-none"),0===o&&(n="kol-table-selection-all");const r=translate(n);return h("th",{key:"thead-0-selection",class:"kol-table__cell kol-table__cell--header"},h("div",{class:clsx("kol-table__selection",{"kol-table__selection--indeterminate":s,"kol-table__selection--checked":i})},h("label",{class:"kol-table__selection-label"},h(KolIconTag,{class:"kol-table__selection-icon",_icons:"codicon "+(s?"codicon-remove":i?"codicon-check":""),_label:""}),h("input",{class:clsx("kol-table__selection-input kol-table__selection-input--checkbox"),ref:e=>e&&this.checkboxRefs.push(e),name:"selection",checked:i&&!s,"aria-label":r,type:"checkbox",onInput:e=>{const t=i?[]:this.state._data.map((e=>null==e?void 0:e[a]));this.handleSelectionChangeCallbackAndEvent(e,t)}})),h(KolTooltipWcTag,{"aria-hidden":"true",class:"kol-table__selection-input-tooltip",_align:"right",_id:`${n}-label`,_label:r})))}renderHeaderTdCell(){return h(Fragment,null,Array.isArray(this.state._headerCells.horizontal)&&this.state._headerCells.horizontal.length>0&&Array.isArray(this.state._headerCells.vertical)&&this.state._headerCells.vertical.length>0&&Array.isArray(this.state._headerCells.horizontal)&&h("td",{"aria-hidden":"true",colSpan:this.state._headerCells.vertical.length,rowSpan:this.state._headerCells.horizontal.length}))}renderHeadingCell(e,t,l,a){let o,i="codicon codicon-fold";if(e.sortDirection)switch(e.sortDirection){case"ASC":i="codicon codicon-chevron-up",o="ascending";break;case"DESC":i="codicon codicon-chevron-down",o="descending"}const s=a?"row":"number"==typeof e.colSpan&&e.colSpan>1?"colgroup":"col";return h("th",{key:`${t}-${l}-${e.label}`,class:clsx("kol-table__cell kol-table__cell--header",{[`kol-table__cell--align-${e.textAlign}`]:e.textAlign,[`kol-table__cell--${o}`]:o}),scope:s,colSpan:e.colSpan,rowSpan:e.rowSpan,style:{width:e.width},"aria-sort":o,"data-sort":`sort-${e.sortDirection}`},e.sortDirection?h(KolButtonWcTag,{class:"kol-table__sort-button",exportparts:"icon",_icons:{right:i},_label:e.label,_on:{onClick:t=>{var l;"function"==typeof(null===(l=this.state._on)||void 0===l?void 0:l.onSort)&&e.key&&e.sortDirection&&this.state._on.onSort(t,{key:e.key,currentSortDirection:e.sortDirection}),this.host&&dispatchDomEvent(this.host,KolEvent.sort,{key:e.key,currentSortDirection:e.sortDirection})}}}):e.label)}renderSpacer(e,t){var l,a;const o=(null===(l=this.state._headerCells.vertical)||void 0===l?void 0:l.length)||0,i=null===(a=null==t?void 0:t[0])||void 0===a?void 0:a.reduce(((e,t)=>e+(t.colSpan||1)),0),s=this.state._selection?1:0;return h("tr",{"aria-hidden":"true",class:clsx("kol-table__spacer",`kol-table__spacer--${e}`)},h("td",{class:clsx(`kol-table__spacer-line kol-table__spacer-line--${e}`),colSpan:o+i+s}))}renderFoot(){if(!this.state._dataFoot||0===this.state._dataFoot.length)return null;const e=this.createDataField(this.state._dataFoot,this.state._headerCells,!0);return h("tfoot",{class:"kol-table__footer"},[this.renderSpacer("foot",e),e.map(((e,t)=>this.renderTableRow(e,t,!0,!0)))])}render(){const e=this.createDataField(this.state._data,this.state._headerCells);return this.checkboxRefs=[],h("div",{key:"e54d4913ba204c37820b1410e29dd49434836c42",ref:e=>this.tableDivElement=e,class:"kol-table",tabindex:this.tableDivElementHasScrollbar?"-1":void 0},h("table",{key:"9b938fee0aa20a126f4d034204b823666da2519f",class:"kol-table__table",style:{minWidth:this.state._minWidth}},h("div",{key:"43ddd7b7fc461041de838739675ebbc8cb81573a",class:"kol-table__focus-element",tabindex:this.tableDivElementHasScrollbar?"0":void 0,"aria-describedby":"caption"}," "),h("caption",{key:"152eed3b8707b4468b01832f66d3765fed729511",class:"kol-table__caption",id:"caption"},this.state._label),Array.isArray(this.state._headerCells.horizontal)&&h("thead",{key:"ab7556f7e7ced55730c900240aba7f1112d31449",class:"kol-table__head"},[this.state._headerCells.horizontal.map(((e,t)=>h("tr",{class:"kol-table__head-row",key:`thead-${t}`},this.state._selection&&this.renderHeadingSelectionCell(),0===t&&this.renderHeaderTdCell(),Array.isArray(e)&&e.map(((e,l)=>!0===e.asTd?h("td",{key:`thead-${t}-${l}-${e.label}`,class:clsx({[`kol-table__head--${e.textAlign}`]:"string"==typeof e.textAlign&&e.textAlign.length>0}),colSpan:e.colSpan,rowSpan:e.rowSpan,style:{textAlign:e.textAlign,width:e.width},ref:"function"==typeof e.render?t=>{this.cellRender(e,t)}:void 0},"function"!=typeof e.render?e.label:""):this.renderHeadingCell(e,t,l,!1)))))),this.renderSpacer("head",this.state._headerCells.horizontal)]),h("tbody",{key:"9618e888d7c3395b89981f223deab8e91459da47",class:"kol-table__body"},e.map(((e,t)=>this.renderTableRow(e,t,!0)))),this.renderFoot()))}get host(){return getElement(this)}static get watchers(){return{_data:["validateData"],_dataFoot:["validateDataFoot"],_headerCells:["validateHeaderCells"],_label:["validateLabel"],_minWidth:["validateMinWidth"],_on:["validateOn"],_selection:["validateSelection"]}}};export{KolTableStateless as kol_table_stateless_wc};